export var __esModule: boolean;
export class CloudApi {
    getDeviceData: ({ productId, deviceId }: {
        productId: any;
        deviceId: any;
    }) => any;
    getProduct: ({ productId }: {
        productId: any;
    }) => any;
    changeDeviceName: ({ productId, deviceId, aliasName, }: {
        productId: any;
        deviceId: any;
        aliasName: any;
    }) => any;
    bindDevice: ({ productId, deviceId }: {
        productId: any;
        deviceId: any;
    }) => any;
    unbindDevice: ({ productId, deviceId }: {
        productId: any;
        deviceId: any;
    }) => any;
    tisvc: tisvc_1.Action;
    getDeviceList(): Promise<{
        count: number;
        deviceList: {
            deviceId: any;
            deviceName: string;
            productId: any;
            iconUrl: any;
            online: boolean;
            aliasName: any;
            name: any;
        }[];
    }>;
    controlDeviceData(device: any, data: any): Promise<void>;
}
import tisvc_1 = require("../../libs/apiProvider/tisvc");
